org.eclipse.handly.ui.viewer

## Enum ProblemLabelDecorator.Severity

- java.lang.Object
- - java.lang.Enum<ProblemLabelDecorator.Severity>
  - - org.eclipse.handly.ui.viewer.ProblemLabelDecorator.Severity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProblemLabelDecorator.Severity>
  Enclosing class:
    ProblemLabelDecorator

      protected static enum ProblemLabelDecorator.Severity
      extends java.lang.Enum<ProblemLabelDecorator.Severity>

  Indicates problem severity.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProblemLabelDecorator.Severity` | `max(ProblemLabelDecorator.Severity a, ProblemLabelDecorator.Severity b)` Returns the more severe of the two `Severity` values.
    `static ProblemLabelDecorator.Severity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProblemLabelDecorator.Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final ProblemLabelDecorator.Severity ERROR

    - #### WARNING

          public static final ProblemLabelDecorator.Severity WARNING

  - ### Method Detail

    - #### values

          public static ProblemLabelDecorator.Severity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProblemLabelDecorator.Severity c : ProblemLabelDecorator.Severity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProblemLabelDecorator.Severity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### max

          public static ProblemLabelDecorator.Severity max(ProblemLabelDecorator.Severity a,
                                                           ProblemLabelDecorator.Severity b)

      Returns the more severe of the two `Severity` values.
      Parameters:
        `a` - may be `null`
        `b` - may be `null`
      Returns:
        the more severe of `a` and `b`. Returns `null` iff both values are `null`

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0